Skip to content

Settlement contract for a chain

GET
/payments/contract/{chainId}
curl --request GET \
--url https://hub.stablezact.com/api/v1/payments/contract/example

Returns the contract address and ABI needed to submit a payment on that chain. Required if you are building your own payment flow rather than using the SDK.

chainId
required
string

Contract address, ABI and network configuration.

Media typeapplication/json
object
success
boolean
contractInfo
object
address
string
abi
Array<object>
object
networkConfig
object
Examplegenerated
{
"success": true,
"contractInfo": {
"address": "example",
"abi": [
{}
],
"networkConfig": {}
}
}